#include <omniORB4/CORBA.h>
#include "AddrBook_impl.h"

void AddrBook_impl::addAddr(const char * name, const char * no) {
	_items[name] = no;
}

char * AddrBook_impl::getAddr(const char * name) {
	map<string , string>::iterator r;
	r = _items.find(name);
	if(r == _items.end())
		throw AddrNotFoundException(name);
	string no = (*r).second;
	return CORBA::string_dup(no.c_str());
}
